stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Config.Nix

Description

Nix configuration

Synopsis

- nixOptsFromMonoid :: (Monad m, MonadCatch m) => NixOptsMonoid -> OS -> m NixOpts
- nixCompiler :: CompilerVersion -> Text
- data StackNixException = NixCannotUseShellFileAndPackagesException

# Documentation

nixOptsFromMonoid :: (Monad m, MonadCatch m) => NixOptsMonoid -> OS -> m NixOpts #

Interprets NixOptsMonoid options.

nixCompiler :: CompilerVersion -> Text #

data StackNixException #

Constructors

NixCannotUseShellFileAndPackagesException | Nix can't be given packages and a shell file at the same time

Instances

Show StackNixException # |
Methods showsPrec :: Int -> StackNixException -> ShowS # show :: StackNixException -> String # showList :: [StackNixException] -> ShowS #
Exception StackNixException # |
Methods toException :: StackNixException -> SomeException # fromException :: SomeException -> Maybe StackNixException # displayException :: StackNixException -> String #